
Extended Fields - Bug #2115

2.1.2 Compatibility

15 Oct 2012 13:19 - Adnan Topçu

Status: Closed Start date: 15 Oct 2012

Priority: Normal Due date: 08 Dec 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.1   

Redmine version: 2.1.2 External issue:  

Description

Dear andriy lesyuk,

I have installed this great plugin to our redmine that is 2.1.2. but an error occoured when I submit a new issue.

error:

Started PUT "/redmine/issues/1637" for 212.174.118.6 at Mon Oct 15 13:11:43 +0000 2012

Processing by IssuesController#update as HTML

  Parameters: {"attachments"=>{"1"=>{"description"=>""}}, "last_journal_id"=>"6242", "time_entry"=

>{"hours"=>"", "comments"=>"", "activity_id"=>""}, "notes"=>"", "issue"=>{"is_private"=>"1", "pare

nt_issue_id"=>"", "start_date"=>"", "pri

  Current user: atopcu@bla-bla.com (id=1646)

  Rendered mailer/_issue.text.erb (30.4ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (52.0ms)

Missing template, responding with 404

  Rendered common/error.html.erb within layouts/base (1.1ms)

  Rendered plugins/redmine_favourite_projects/app/views/favourite_projects/_favourite_projects_sea

rchbox_partial.html.erb (0.5ms)

  Rendered plugins/redmine_favourite_projects/app/views/favourite_projects/_update_menu.erb (13.3m

s)

Completed 404 Not Found in 3613ms (Views: 672.7ms | ActiveRecord: 69.4ms)

 

Environment:

Redmine version                          2.1.2.stable

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         MySQL

 

Redmine plugins:

extended_fields                          0.2.0b

  redmine_boards_watchers                  0.2.3

  redmine_contacts                         3.0.0-pro-beta-2

  redmine_custom_workflows                 0.0.4

  redmine_digest                           0.2.0

  redmine_favourite_projects               0.6

  redmine_inline_attach_screenshot         0.4.2

  redmine_logs                             0.0.5

  redmine_textilizable_custom_fields       0.0.1

  redmine_wiki_toc                         0.0.3

Related issues:

Related to Extended Fields - Bug #2116: Error updating custom field that has ... Closed 15 Oct 2012 08 Dec 2012
Associated revisions

Revision 72 - 13 Nov 2012 23:52 - Andriy Lesyuk

Text templates fixes (#2115 and #2116)

Revision 73 - 14 Nov 2012 12:25 - Andriy Lesyuk

Fixed template look up code for the case request is null (#2115)

History

#1 - 15 Oct 2012 14:52 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

Please give me the list of custom fields, you use for issues. They are using custom field templates, right?

#2 - 15 Oct 2012 15:10 - Andriy Lesyuk

Check #2116 for the workaround...

#3 - 16 Oct 2012 20:19 - Adnan Topçu

Thank you yor help.

I was removed all custom fileds and I left only one that is Project type (From this plugin). Status is same. When I submit an issue, bring up an 404

Error.

Best Regards,

#4 - 16 Oct 2012 21:27 - Andriy Lesyuk

Adnan Topçu wrote:

I was removed all custom fileds and I left only one that is Project type (From this plugin). Status is same. When I submit an issue, bring up an

404 Error.

 

Copy _project.html.erb into _project.text.erb and modify it to, e.g.:

<% project = Project.find_by_id(custom_field.value) %>

<%= project.name if project %>

#5 - 17 Oct 2012 13:07 - Adnan Topçu

I have try it, but result is same.

Note: When I left empty this field, there is no error. But error is occoured after the update when I select any value from the “Project List”. same

situation exist other input type. eg. when I left empty a wiki field, there is no problem. I Get the error when I enter any values to these fields.

Tips is great feature. Thenks a lot!
Best Regards,

Adnan

#6 - 13 Nov 2012 00:33 - Andriy Lesyuk

- Target version set to 0.2.1

#7 - 13 Nov 2012 21:55 - Adnan Topçu

Thank you for opening this.

#8 - 13 Nov 2012 23:53 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 100

Fix is in SVN... Try updating.

#9 - 14 Nov 2012 11:53 - Adnan Topçu

Dear Andry Leysuk,

Thank you very much!

I have tried, but:

  .[1m.[36mIssuePriority Load (0.4ms).[0m  .[1mSELECT `enumerations`.* FROM `enumerations` WHERE `enumerations

`.`type` IN ('IssuePriority') AND `enumerations`.`id` = 4 ORDER BY enumerations.position ASC LIMIT 1.[0m

  Rendered mailer/_issue.text.erb (29.6ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (60.9ms)

  .[1m.[35m (4.0ms).[0m  ROLLBACK

Completed 500 Internal Server Error in 2542ms

ActionView::Template::Error (undefined method `template_format' for nil:NilClass):

    7: * <%=l(:field_assigned_to)%>: <%= issue.assigned_to %>

    8: * <%=l(:field_category)%>: <%= issue.category %>

    9: * <%=l(:field_fixed_version)%>: <%= issue.fixed_version %>

    10: <% issue.custom_field_values.each do |c| %>* <%= c.custom_field.name %>: <%= show_value(c) %>

    11: <% end -%>

    12: ----------------------------------------

    13: <%= issue.description %>

  app/views/mailer/_issue.text.erb:10:in `_app_views_mailer__issue_text_erb__1374728490_70097922590500'

  app/views/mailer/_issue.text.erb:10:in `each'

  app/views/mailer/_issue.text.erb:10:in `_app_views_mailer__issue_text_erb__1374728490_70097922590500'

  app/views/mailer/issue_edit.text.erb:12:in `_app_views_mailer_issue_edit_text_erb__1120107489_70097921226180

'

  app/models/mailer.rb:417:in `mail'

  app/models/mailer.rb:416:in `mail'

  app/models/mailer.rb:76:in `issue_edit'

  app/models/mailer.rb:427:in `initialize'

  app/models/mailer.rb:440:in `method_missing'

  app/models/journal_observer.rb:26:in `after_create'

  app/models/journal.rb:47:in `save'

  app/models/issue.rb:1257:in `create_journal'

  app/models/issue.rb:891:in `save_issue_with_child_records'

  app/models/issue.rb:878:in `save_issue_with_child_records'

  app/controllers/issues_controller.rb:171:in `update'

 

condition is same.  When I enter any value, error is occour.

Best Regards,

Adnan
#10 - 14 Nov 2012 12:26 - Andriy Lesyuk

Thanks for the test, Adnan! Could you please update from SVN and try once again?..

#11 - 14 Nov 2012 13:03 - Adnan Topçu

Thanks for attention!

essor was changed but still continue:

Rendered issues/show.html.erb within layouts/base (2206.7ms)

Completed 500 Internal Server Error in 2445ms

 

ActionView::Template::Error (undefined method `template_format' for #<ActionDispatch::Request:0x7f2e9e361ab8>):

64:     rows.right l(:label_spent_time), (@issue.total_spent_hours > 0 ? (link_to l_hours(@issue.total_spent_hours), {:controller => 'timelog', :action =>

'index', :project_id => @project, :issue_id => @issue}) : "-"), :class => 'sp

65:   end

66: end %>

67: <%= render_custom_fields_rows(@issue) %>

68: <%= call_hook(:view_issues_show_details_bottom, :issue => @issue) %>

69: </table>

70:

app/helpers/issues_helper.rb:149:in `render_custom_fields_rows'

app/helpers/issues_helper.rb:147:in `each'

app/helpers/issues_helper.rb:147:in `render_custom_fields_rows'

app/views/issues/show.html.erb:67:in `_app_views_issues_show_html_erb___1767825450_69919102239460'

app/controllers/issues_controller.rb:117:in `show'

app/controllers/issues_controller.rb:114:in `show'

#12 - 14 Nov 2012 13:07 - Adnan Topçu

Note: after the submit, I received notification email correctly. I can see updated value in issue. error is occoured on browser after the submit.

#13 - 08 Dec 2012 09:36 - Andriy Lesyuk

- % Done changed from 100 to 90

Please try new code from SVN.

#14 - 08 Dec 2012 11:16 - Adnan Topçu

it is working well!

Thanks Andriy!

#15 - 08 Dec 2012 11:36 - Andriy Lesyuk
- Due date set to 08 Dec 2012

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
